using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace XamarinStudy.CustomViewCells
{
	[XamlCompilation(XamlCompilationOptions.Compile)]
	public partial class CustomViewCell1 : ViewCell
	{
		public string Title { 
			get 
			{ 
				return titleLabel.Text; 
			} 
			set 
			{ 
				titleLabel.Text = value; 
			} 
		}

		public string Detail { get => detailLabel.Text; set => detailLabel.Text = value; }

		public bool IsVisible { get => mainStack.IsVisible; set => mainStack.IsVisible = value; }

		public CustomViewCell1()
		{
			InitializeComponent();
		}
	}
}